summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/ipaddress/ipaddress-1.0.14.ebuild')
-rw-r--r--dev-python/ipaddress/ipaddress-1.0.14.ebuild25
1 files changed, 25 insertions, 0 deletions
diff --git a/dev-python/ipaddress/ipaddress-1.0.14.ebuild b/dev-python/ipaddress/ipaddress-1.0.14.ebuild
new file mode 100644
index 00000000000..77c48fd4b75
--- /dev/null
+++ b/dev-python/ipaddress/ipaddress-1.0.14.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="IPv4/IPv6 manipulation library, a port of the ipaddress module"
+HOMEPAGE="https://github.com/phihag/ipaddress"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="PSF-2"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ "${PYTHON}" test_ipaddress.py || die
+}